using Edu.Common.Enum;
using Edu.Model.Entity.OKR;
using Edu.Model.ViewModel.OKR;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using VT.FW.DB.Dapper;

namespace Edu.Repository.OKR
{
    /// <summary>
    /// OKR提醒仓储层
    /// </summary>
    public class RB_OKR_RemindRepository : BaseRepository<RB_OKR_Remind>
    {

        /// <summary>
        /// 获取分页列表
        /// </summary>
        /// <param name="pageIndex"></param>
        /// <param name="pageSize"></param>
        /// <param name="rowsCount"></param>
        /// <param name="demodel"></param>
        /// <returns></returns>
        public List<RB_OKR_Remind_ViewModel> GetPageList(int pageIndex, int pageSize, out long rowsCount, RB_OKR_Remind_ViewModel demodel)
        {
            string where = $@" 1=1";
            if (demodel.Group_Id > 0)
            {
                where += $@" and {nameof(RB_OKR_Remind_ViewModel.Group_Id)} ={demodel.Group_Id}";
            }
            if (demodel.Type > 0)
            {
                where += $@" and {nameof(RB_OKR_Remind_ViewModel.Type)} ={demodel.Type}";
            }

            string sql = $@" select * from RB_OKR_Remind where {where} order by Id desc";
            return GetPage<RB_OKR_Remind_ViewModel>(pageIndex, pageSize, out rowsCount, sql).ToList();
        }

        /// <summary>
        /// 获取列表
        /// </summary>
        /// <param name="demodel"></param>
        /// <returns></returns>
        public List<RB_OKR_Remind_ViewModel> GetList(RB_OKR_Remind_ViewModel demodel)
        {
            string where = $@" 1=1";
            if (demodel.Group_Id > 0)
            {
                where += $@" and {nameof(RB_OKR_Remind_ViewModel.Group_Id)} ={demodel.Group_Id}";
            }
            if (demodel.Type > 0)
            {
                where += $@" and {nameof(RB_OKR_Remind_ViewModel.Type)} ={demodel.Type}";
            }
            if (demodel.Enable > 0)
            {
                where += $@" and {nameof(RB_OKR_Remind_ViewModel.Enable)} ={demodel.Enable}";
            }

            string sql = $@" select * from RB_OKR_Remind where {where} order by Id desc";
            return Get<RB_OKR_Remind_ViewModel>(sql).ToList();
        }
    }
}
